package com.mvc.service.aiiden;

public enum PicType {
    Env(11,"安装环境外部",
            "要将水表安装外部环境在照片里面完全体现",1),
    Signborad(12,"管理部门标识牌",
            "如果没有这样的标识牌，则不需要拍",0),
    WMeter(13,"未安装抄表器的水表照片",
            "在距离水表1米处拍照，水表在照片中央，包含管路和阀门",1),
    WMDial(14,"未安装抄表器的水表表盘照片",
            "在记录水表表盘正上方20厘米处拍照，要将水表表盘拍摄清楚",1),
    PipeDiameter(15,"未安装抄表器的水表管径指示照片",
            "要包含整个水表，管径指示标志在照片中央",1),

    Above(21,"抄表器与水表上方照片",
            "从正上方1米处拍照，抄表器在图片中央",1),
    Side(22,"抄表器与水表侧面照片",
            "要包含抄表器和水表水流方向箭头标志",1),
    AntennaAndDevice(23,"天线和抄表器照片",
            "要包含抄表器和天线",0),
    AntennaSetup(24,"天线安装照片",
            "在距离天线1米处拍照，天线在图片中央，要拍清楚天线和天线安装件",0),
    Back(25,"抄表器后部",
            "近距离拍摄抄表器后部，调试口盖和天线连接处要清晰可见",1);

    private int type;
    private String name;
    private String memo;
    private int must;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        memo = memo;
    }

    public int getMust() {
        return must;
    }

    public void setMust(int must) {
        this.must = must;
    }

    PicType(int type, String name, String memo, int must){
        this.type = type;
        this.name = name;
        this.memo = memo;
        this.must = must;
    }

    public static PicType getElement(int type){
        for(PicType msg : PicType.values()){
            if(msg.type == type){
                return msg;
            }
        }
        return null;
    }

}
